VkMemoryAllocateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkDeviceSize | allocationSize
uint32_t | memoryTypeIndex

## Detailed Description

Definition at line 1706 of file vulkan.h.

## Field Documentation

## allocationSize

VkDeviceSize VkMemoryAllocateInfo::allocationSize

Definition at line 1709 of file vulkan.h.

## memoryTypeIndex

uint32_t VkMemoryAllocateInfo::memoryTypeIndex

Definition at line 1710 of file vulkan.h.

## pNext

const void* VkMemoryAllocateInfo::pNext

Definition at line 1708 of file vulkan.h.

## sType

VkStructureType VkMemoryAllocateInfo::sType

Definition at line 1707 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h